{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> friend Fasilkom</h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            //{# lengkapi pemanggilan ajax berikut untuk mengambil daftar teman yang ada di database #}
            $.ajax({
                method: "GET",
                url: '{% url "lab-7:get-friend-data" %}',//#URL untuk mendapatkan list teman],
                dataType : 'json',
                success: function (response) {
                    html = '';

                    response.data.forEach(function(element) {
                        html += '<a class="list-group-item clearfix">' +
                                    element.friend_name + ' (' + element.npm + ')' +
                                    '<span class="pull-right">' +
                                        '<a class="btn btn-xs btn-default" href="/lab-7/delete-friend/' + element.npm + '">Hapus teman</a>' +
                                    '</span>' +
                                '</a>'
                    });
                    
                    $("#friend-list").append(html);

                    //#tampilkan list teman ke halaman
                    //#hint : gunakan fungsi jquery append()
                },
                error: function(error){
                    //#tampilkan pesan error
                    alert("Terjadi kesalahan");
                }
            });
        });

    </script>
{% endblock %}
